Bug 161418 - thickness of underline determine by the font used
thickness of underline determine by the font used
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-23 03:18 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.9.114-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 09:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample document for bn_IN (5.64 KB, application/vnd.sun.xml.writer)
2005-06-23 03:21 EDT, Leon Ho
no flags Details
document for gu_IN locale (5.52 KB, application/vnd.sun.xml.writer)
2005-06-23 03:21 EDT, Leon Ho
no flags Details
sample document for hi_IN (5.45 KB, application/vnd.sun.xml.writer)
2005-06-23 03:22 EDT, Leon Ho
no flags Details
sample document for ta_IN (5.49 KB, application/vnd.sun.xml.writer)
2005-06-23 03:22 EDT, Leon Ho
no flags Details

  None (edit)
Description Lawrence Lim 2005-06-23 03:18:27 EDT
Description of problem:
Interestingly, the thickness of underline is determine by the first font used on
every line. As a result, if the first line contains en chars and second line
contain indic chars the thickness will be different.

This has been observed in bn_IN, gu_IN, hi_IN and gu_IN locale, where underline
is bold if the line starts with indic char in bn_IN, gu_IN, hi_IN and ta_IN
locale and if the line starts with en char, the line will not.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-24.6.0.EL4

How reproducible:
Always

Steps to Reproduce:
1.please open the document attached
2.
3.
  
Actual results:
New lines that starts with en chars has thinner underline than new lines that
start with indic chars

Expected results:
should be consistent, no bold when text style is normal

Additional info:
Comment 1 Leon Ho 2005-06-23 03:21:05 EDT
Created attachment 115855 [details]
sample document for bn_IN
Comment 2 Leon Ho 2005-06-23 03:21:47 EDT
Created attachment 115856 [details]
document for gu_IN locale
Comment 3 Leon Ho 2005-06-23 03:22:11 EDT
Created attachment 115857 [details]
sample document for hi_IN
Comment 4 Leon Ho 2005-06-23 03:22:41 EDT
Created attachment 115858 [details]
sample document for ta_IN
Comment 5 Caolan McNamara 2005-06-29 08:49:51 EDT
And this affects 1.9.122 as well ?
Comment 6 Caolan McNamara 2005-07-07 09:45:05 EDT
I see this in 1.1.X alright, but not in 2.0. So it seems fixed there.

Note You need to log in before you can comment on or make changes to this bug.